Bug 481545 - *** glibc detected *** /usr/bin/liferea-bin: malloc(): memory corruption (fast): 0xae236cc0 ***
*** glibc detected *** /usr/bin/liferea-bin: malloc(): memory corruption (fas...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: liferea (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-26 04:06 EST by sangu
Modified: 2009-03-21 14:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-21 14:39:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2009-01-26 04:06:17 EST
Description of problem:
*** glibc detected *** /usr/bin/liferea-bin: malloc(): memory corruption (fast): 0xae236cc0 ***
======= Backtrace: =========
/lib/libc.so.6[0xf69404]
/lib/libc.so.6[0xf6c3b6]
/lib/libc.so.6(__libc_malloc+0x95)[0xf6d7c5]
/lib/libc.so.6[0xf22ab7]
/lib/libc.so.6[0xf20bbc]
/lib/libc.so.6[0xf20571]
/lib/libc.so.6(dcgettext+0x43)[0xf1f2c3]
/lib/libc.so.6(strsignal+0x131)[0xf71cc1]
/lib/libglib-2.0.so.0(g_strsignal+0x28)[0xd4f5c8]
/usr/bin/liferea-bin[0x807448c]
[0x130400]
/lib/libc.so.6(strcat+0x12d)[0xf70c7d]
/usr/bin/liferea-bin(NetIO+0x820)[0x8077ae0]
/usr/bin/liferea-bin(DownloadFeed+0x126)[0x8079156]
/usr/bin/liferea-bin(network_process_request+0xdc)[0x806c9dc]
/usr/bin/liferea-bin[0x8073080]
/usr/bin/liferea-bin[0x8073598]
/lib/libglib-2.0.so.0[0xd5870f]
/lib/libpthread.so.0[0x889b7ef]
/lib/libc.so.6(clone+0x5e)[0xfde13e]
======= Memory map: ========
00110000-00130000 r-xp 00000000 08:09 7157968    /lib/ld-2.9.90.so
00130000-00131000 r-xp 00130000 00:00 0          [vdso]
00131000-00132000 r--p 00020000 08:09 7157968    /lib/ld-2.9.90.so
00132000-00133000 rw-p 00021000 08:09 7157968    /lib/ld-2.9.90.so
00133000-00167000 r-xp 00000000 08:09 7658885    /usr/lib/libgconf-2.so.4.1.5
00167000-0016a000 rw-p 00033000 08:09 7658885    /usr/lib/libgconf-2.so.4.1.5
0016a000-001a2000 r-xp 00000000 08:09 7645590    /usr/lib/libxslt.so.1.1.24
001a2000-001a3000 rw-p 00037000 08:09 7645590    /usr/lib/libxslt.so.1.1.24
001a3000-001b6000 r-xp 00000000 08:09 7155383    /lib/libz.so.1.2.3
001b6000-001b7000 rw-p 00012000 08:09 7155383    /lib/libz.so.1.2.3
001b7000-001de000 r-xp 00000000 08:09 7157900    /lib/libm-2.9.90.so
001de000-001df000 r--p 00026000 08:09 7157900    /lib/libm-2.9.90.so
001df000-001e0000 rw-p 00027000 08:09 7157900    /lib/libm-2.9.90.so
001e0000-00253000 r-xp 00000000 08:09 7649381    /usr/lib/libsqlite3.so.0.8.6
00253000-00255000 rw-p 00073000 08:09 7649381    /usr/lib/libsqlite3.so.0.8.6
00255000-0026b000 r-xp 00000000 08:09 7648252    /usr/lib/libglade-2.0.so.0.0.7
0026b000-0026c000 rw-p 00016000 08:09 7648252    /usr/lib/libglade-2.0.so.0.0.7
0026c000-006a4000 r-xp 00000000 08:09 7661062    /usr/lib/libgtk-x11-2.0.so.0.1501.0
006a4000-006aa000 rw-p 00438000 08:09 7661062    /usr/lib/libgtk-x11-2.0.so.0.1501.0
006aa000-006ab000 rw-p 006aa000 00:00 0 
006ab000-007f6000 r-xp 00000000 08:09 7651379    /usr/lib/libxml2.so.2.7.3
007f6000-007fb000 rw-p 0014b000 08:09 7651379    /usr/lib/libxml2.so.2.7.3
007fb000-007fc000 rw-p 007fb000 00:00 0 
007fc000-0089c000 r-xp 00000000 08:09 7659693    /usr/lib/libgdk-x11-2.0.so.0.1501.0
0089c000-0089f000 rw-p 000a0000 08:09 7659693    /usr/lib/libgdk-x11-2.0.so.0.1501.0
0089f000-008ba000 r-xp 00000000 08:09 7660246    /usr/lib/libatk-1.0.so.0.2511.1
008ba000-008bc000 rw-p 0001a000 08:09 7660246    /usr/lib/libatk-1.0.so.0.2511.1
008bc000-00935000 r-xp 00000000 08:09 7159319    /lib/libgio-2.0.so.0.1905.0
00935000-00937000 rw-p 00079000 08:09 7159319    /lib/libgio-2.0.so.0.1905.0
00937000-00960000 r-xp 00000000 08:09 7645307    /usr/lib/libpangoft2-1.0.so.0.2203.1
00960000-00961000 rw-p 00029000 08:09 7645307    /usr/lib/libpangoft2-1.0.so.0.2203.1
00961000-0097e000 r-xp 00000000 08:09 7661063    /usr/lib/libgdk_pixbuf-2.0.so.0.1501.0
0097e000-0097f000 rw-p 0001c000 08:09 7661063    /usr/lib/libgdk_pixbuf-2.0.so.0.1501.0
0097f000-00989000 r-xp 00000000 08:09 7645286    /usr/lib/libpangocairo-1.0.so.0.2203.1
00989000-0098a000 rw-p 00009000 08:09 7645286    /usr/lib/libpangocairo-1.0.so.0.2203.1
0098a000-00a03000 r-xp 00000000 08:09 7647211    /usr/lib/libcairo.so.2.10800.6
00a03000-00a05000 rw-p 00079000 08:09 7647211    /usr/lib/libcairo.so.2.10800.6
00a05000-00a49000 r-xp 00000000 08:09 7645260    /usr/lib/libpango-1.0.so.0.2203.1
00a49000-00a4b000 rw-p 00044000 08:09 7645260    /usr/lib/libpango-1.0.so.0.2203.1
00a4b000-00ad7000 r-xp 00000000 08:09 7646289    /usr/lib/libfreetype.so.6.3.19
00ad7000-00adb000 rw-p 0008b000 08:09 7646289    /usr/lib/libfreetype.so.6.3.19
00adb000-00b0a000 r-xp 00000000 08:09 7650379    /usr/lib/libfontconfig.so.1.3.0
00b0a000-00b0b000 rw-p 0002f000 08:09 7650379    /usr/lib/libfontconfig.so.1.3.0
00b0b000-00b0e000 r-xp 00000000 08:09 7159338    /lib/libgmodule-2.0.so.0.1905.0
00b0e000-00b0f000 rw-p 00002000 08:09 7159338    /lib/libgmodule-2.0.so.0.1905.0
00b0f000-00b16000 r-xp 00000000 08:09 7647853    /usr/lib/libSM.so.6.0.0
00b16000-00b17000 rw-p 00006000 08:09 7647853    /usr/lib/libSM.so.6.0.0
00b17000-00b2e000 r-xp 00000000 08:09 7651169    /usr/lib/libICE.so.6.3.0
00b2e000-00b2f000 rw-p 00016000 08:09 7651169    /usr/lib/libICE.so.6.3.0
00b2f000-00b31000 rw-p 00b2f000 00:00 0 
00b31000-00c2e000 r-xp 00000000 08:09 7649673    /usr/lib/libX11.so.6.2.0
00c2e000-00c32000 rw-p 000fc000 08:09 7649673    /usr/lib/libX11.so.6.2.0
00c32000-00c52000 r-xp 00000000 08:09 7645824    /usr/lib/libnm_glib.so.0.1.0
00c52000-00c53000 rw-p 00020000 08:09 7645824    /usr/lib/libnm_glib.so.0.1.0
00c53000-00c71000 r-xp 00000000 08:09 7662799    /usr/lib/libdbus-glib-1.so.2.1.0
00c71000-00c72000 rw-p 0001e000 08:09 7662799    /usr/lib/libdbus-glib-1.so.2.1.0
00c72000-00cb1000 r-xp 00000000 08:09 7157937    /lib/libdbus-1.so.3.4.0
00cb1000-00cb2000 r--p 0003e000 08:09 7157937    /lib/libdbus-1.so.3.4.0
00cb2000-00cb3000 rw-p 0003f000 08:09 7157937    /lib/libdbus-1.so.3.4.0
00cb3000-00cf5000 r-xp 00000000 08:09 7162856    /lib/libgobject-2.0.so.0.1905.0
00cf5000-00cf6000 rw-p 00042000 08:09 7162856    /lib/libgobject-2.0.so.0.1905.0
00cf6000-00dd9000 r-xp 00000000 08:09 7159328    /lib/libglib-2.0.so.0.1905.0
00dd9000-00dda000 rw-p 000e3000 08:09 7159328    /lib/libglib-2.0.so.0.1905.0
00dda000-00e79000 r-xp 00000000 08:09 7653847    /usr/lib/libgnutls.so.26.11.4
00e79000-00e7f000 rw-p 0009e000 08:09 7653847    /usr/lib/libgnutls.so.26.11.4
00e7f000-00ef7000 r-xp 00000000 08:09 7159951    /lib/libgcrypt.so.11.5.1
00ef7000-00efa000 rw-p 00077000 08:09 7159951    /lib/libgcrypt.so.11.5.1
00efa000-01068000 r-xp 00000000 08:09 7155298    /lib/libc-2.9.90.so
01068000-0106a000 r--p 0016e000 08:09 7155298    /lib/libc-2.9.90.so
0106a000-0106b000 rw-p 00170000 08:09 7155298    /lib/libc-2.9.90.so
0106b000-0106e000 rw-p 0106b000 00:00 0 
0106e000-01071000 r-xp 00000000 08:09 7157898    /lib/libdl-2.9.90.so
01071000-01072000 r--p 00002000 08:09 7157898    /lib/libdl-2.9.90.so
01072000-01073000 rw-p 00003000 08:09 7157898    /lib/libdl-2.9.90.so
01073000-01077000 r-xp 00000000 08:09 7663335    /usr/lib/libXfixes.so.3.1.0
01077000-01078000 rw-p 00003000 08:09 7663335    /usr/lib/libXfixes.so.3.1.0
01078000-01081000 r-xp 00000000 08:09 7647615    /usr/lib/libXcursor.so.1.0.2
01081000-01082000 rw-p 00008000 08:09 7647615    /usr/lib/libXcursor.so.1.0.2
01082000-01084000 r-xp 00000000 08:09 7660029    /usr/lib/libXcomposite.so.1.0.0
01084000-01085000 rw-p 00001000 08:09 7660029    /usr/lib/libXcomposite.so.1.0.0
01085000-010aa000 r-xp 00000000 08:09 7155305    /lib/libexpat.so.1.5.2
010aa000-010ac000 rw-p 00024000 08:09 7155305    /lib/libexpat.so.1.5.2
010ac000-010af000 r-xp 00000000 08:09 7664208    /usr/lib/libcanberra-gtk.so.0.0.4
010af000-010b0000 rw-p 00002000 08:09 7664208    /usr/lib/libcanberra-gtk.so.0.0.4
010b0000-010be000 r-xp 00000000 08:09 7654586    /usr/lib/libcanberra.so.0.1.4
010be000-010bf000 rw-p 0000e000 08:09 7654586    /usr/lib/libcanberra.so.0.1.4
010bf000-010dc000 r-xp 00000000 08:09 7648301    /usr/lib/libvorbis.so.0.4.0
010dc000-010ea000 rw-p 0001d000 08:09 7648301    /usr/lib/libvorbis.so.0.4.0
010ea000-010ef000 r-xp 00000000 08:09 7661359    /usr/lib/libogg.so.0.5.3
010ef000-010f0000 rw-p 00004000 08:09 7661359    /usr/lib/libogg.so.0.5.3
010f0000-010fd000 r-xp 00000000 08:09 7667694    /usr/lib/libtdb.so.1
010fd000-010fe000 r--p 0000c000 08:09 7667694    /usr/lib/libtdb.so.1
010fe000-010ff000 rw-p 0000d000 08:09 7667694    /usr/lib/libtdb.so.1
010ff000-01107000 r-xp 00000000 08:09 7666831    /usr/lib/libltdl.so.7.2.0
01107000-01108000 rw-p 00007000 08:09 7666831    /usr/lib/libltdl.so.7.2.0
01108000-0112a000 r-xp 00000000 08:09 7646242    /usr/lib/libjpeg.so.62.0.0
0112a000-0112b000 rw-p 00021000 08:09 7646242    /usr/lib/libjpeg.so.62.0.0
0112b000-0112d000 r-xp 00000000 08:09 7715602    /usr/lib/gconv/UTF-16.so
0112d000-0112e000 r--p 00002000 08:09 7715602    /usr/lib/gconv/UTF-16.so
0112e000-0112f000 rw-p 00003000 08:09 7715602    /usr/lib/gconv/UTF-16.so
0112f000-01190000 r-xp 00000000 08:09 4607130    /usr/lib/libgnomevfs-2.so.0.2400.0
01190000-01193000 rw-p 00060000 08:09 4607130    /usr/lib/libgnomevfs-2.so.0.2400.0
01193000-0119b000 r-xp 00000000 08:09 7155377    /lib/libpopt.so.0.0.0
0119b000-0119c000 rw-p 00007000 08:09 7155377    /lib/libpopt.so.0.0.0
0119c000-012ee000 r-xp 00000000 08:09 7155202    /lib/libcrypto.so.0.9.8j
012ee000-01305000 rw-p 00151000 08:09 7155202    /lib/libcrypto.so.0.9.8j
01305000-01308000 rw-p 01305000 00:00 0 
01308000-0130b000 r-xp 
Liferea did receive signal 11 (세그멘테이션 오류).
You have propably triggered a program bug. I will now try to 
create a backtrace which you can attach to any support requests.


Liferea did receive signal 11 (세그멘테이션 오류).
You have propably triggered a program bug. I will now try to 
create a backtrace which you can attach to any support requests.

$ gdb liferea-bin {liferea ps number}
(gdb) bt
#0  0x00130416 in __kernel_vsyscall ()
#1  0x00fed3c3 in __lll_lock_wait_private ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/lowlevellock.S:95
#2  0x00f6ed5d in _L_lock_4593 () from /lib/libc.so.6
#3  0x00f6b3aa in __libc_free (mem=0x9d84c60) at malloc.c:3623
#4  0x001f7580 in sqlite3MemFree (pPrior=0x9d84c68) at sqlite3.c:13006
#5  0x001e5474 in sqlite3_free (p=0x9d84c68) at sqlite3.c:16433
#6  0x001e6491 in sqlite3BitvecDestroy (p=0x9d84c68) at sqlite3.c:29064
#7  0x001ecbb0 in pager_end_transaction (pPager=0xa950f48, hasMaster=0)
    at sqlite3.c:31843
#8  0x0020abae in sqlite3PagerCommitPhaseTwo (pPager=<value optimized out>)
    at sqlite3.c:34828
#9  sqlite3BtreeCommitPhaseTwo (p=0xa5f27a0) at sqlite3.c:38767
#10 0x002169eb in vdbeCommit (p=<value optimized out>, 
    db=<value optimized out>) at sqlite3.c:46139
#11 sqlite3VdbeHalt (p=0x9f240a0) at sqlite3.c:46430
#12 0x0023cb2c in sqlite3VdbeExec (p=0x9f240a0) at sqlite3.c:49619
#13 0x0022afc0 in sqlite3Step (p=<value optimized out>) at sqlite3.c:47849
#14 sqlite3_step (pStmt=0x9f240a0) at sqlite3.c:47914
#15 0x0806162f in db_update_state_save (id=0xa149c78 "ofwsetu", 
    updateState=0xa14a628) at db.c:1736
#16 0x080716ea in subscription_reset_update_counter (subscription=0xa14a648, 
    now=0xbfad6894) at subscription.c:123
---Type <return> to continue, or q <return> to quit---
#17 0x08071c63 in subscription_update_with_callback (subscription=0xa14a648, 
    callback=0, flags=8) at subscription.c:246
#18 0x08071d30 in subscription_update (subscription=0xa14a648, flags=8)
    at subscription.c:264
#19 0x0806daff in node_update_subscription (node=0xa14a5c0, user_data=0x8)
    at node.c:127
#20 0x0806d26c in node_foreach_child_full (node=0xa147e08, func=0x806dad0, 
    params=1, user_data=0x8) at node.c:526
#21 0x0806db1b in node_update_subscription (node=0xa147e08, user_data=0x8)
    at node.c:129
#22 0x00547326 in gtk_item_factory_callback_marshal (widget=0xa731c10, 
    func_data=0x0) at gtkitemfactory.c:188
#23 0x00cca144 in IA__g_cclosure_marshal_VOID__VOID (closure=0xa0e9bf8, 
    return_value=0x0, n_param_values=1, param_values=0xa5173c0, 
    invocation_hint=0xbfad6aec, marshal_data=0x5472e0) at gmarshal.c:77
#24 0x00cbc22b in IA__g_closure_invoke (closure=0xa0e9bf8, return_value=0x0, 
    n_param_values=1, param_values=0xa5173c0, invocation_hint=0xbfad6aec)
    at gclosure.c:767
#25 0x00cd3c25 in signal_emit_unlocked_R (node=0x9abe858, detail=0, 
    instance=0xa731c10, emission_return=0x0, instance_and_params=0xa5173c0)
    at gsignal.c:3244
#26 0x00cd533e in IA__g_signal_emit_valist (instance=0xa731c10, signal_id=91, 
    detail=0, var_args=0xbfad6c8c ":�N") at gsignal.c:2977
---Type <return> to continue, or q <return> to quit---
#27 0x00cd57e6 in IA__g_signal_emit (instance=0xa731c10, signal_id=91, 
    detail=0) at gsignal.c:3034
#28 0x004ebcb7 in IA__gtk_widget_activate (widget=0xa731c10)
    at gtkwidget.c:4792
#29 0x003c2a90 in IA__gtk_menu_shell_activate_item (menu_shell=0x9c74450, 
    menu_item=0xa731c10, force_deactivate=1) at gtkmenushell.c:1139
#30 0x003c4c5f in gtk_menu_shell_button_release (widget=0x9c74450, 
    event=0xa55fa48) at gtkmenushell.c:678
#31 0x003b88a0 in gtk_menu_button_release (widget=0x9c74450, event=0xa55fa48)
    at gtkmenu.c:2950
#32 0x003b1062 in _gtk_marshal_BOOLEAN__BOXED (closure=0x9aa4af8, 
    return_value=0xbfad6f30, n_param_values=2, param_values=0x9d51af0, 
    invocation_hint=0xbfad6f1c, marshal_data=0x3b87b0) at gtkmarshalers.c:84
#33 0x00cba989 in g_type_class_meta_marshal (closure=0x9aa4af8, 
    return_value=0xbfad6f30, n_param_values=2, param_values=0x9d51af0, 
    invocation_hint=0xbfad6f1c, marshal_data=0xb4) at gclosure.c:878
#34 0x00cbc22b in IA__g_closure_invoke (closure=0x9aa4af8, 
    return_value=0xbfad6f30, n_param_values=2, param_values=0x9d51af0, 
    invocation_hint=0xbfad6f1c) at gclosure.c:767
#35 0x00cd38cd in signal_emit_unlocked_R (node=0x9aa4410, detail=0, 
    instance=0x9c74450, emission_return=0xbfad7068, 
    instance_and_params=0x9d51af0) at gsignal.c:3282
#36 0x00cd51eb in IA__g_signal_emit_valist (instance=0x9c74450, signal_id=31, 
---Type <return> to continue, or q <return> to quit---
    detail=0, var_args=0xbfad70c0 "�p��H�U\nPD�\t��N") at gsignal.c:2987
#37 0x00cd57e6 in IA__g_signal_emit (instance=0x9c74450, signal_id=31, 
    detail=0) at gsignal.c:3034
#38 0x004e4ebe in gtk_widget_event_internal (widget=0x9c74450, event=0xa55fa48)
    at gtkwidget.c:4761
#39 0x003a8b9b in IA__gtk_propagate_event (widget=0x9c74450, event=0xa55fa48)
    at gtkmain.c:2396
#40 0x003aa137 in IA__gtk_main_do_event (event=0xa55fa48) at gtkmain.c:1601
#41 0x00849a1a in gdk_event_dispatch (source=0x9aa2640, callback=0, 
    user_data=0x0) at gdkevents-x11.c:2363
#42 0x00d2d7f8 in g_main_dispatch (context=<value optimized out>)
    at gmain.c:1814
#43 IA__g_main_context_dispatch (context=0x9a86668) at gmain.c:2367
#44 0x00d30ea3 in g_main_context_iterate (context=0x9a86668, block=1, 
    dispatch=1, self=0x9a7f800) at gmain.c:2448
#45 0x00d313c2 in IA__g_main_loop_run (loop=0xb1615df0) at gmain.c:2656
#46 0x003aa639 in IA__gtk_main () at gtkmain.c:1205
#47 0x08073d24 in main (argc=Cannot access memory at address 0x0
) at main.c:297

Version-Release number of selected component (if applicable):
1.4.23-1.fc11.i386

How reproducible:
sometimes or with frequency 

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
sqlite-3.6.10-2.fc11.i386
Comment 1 Steven M. Parrish 2009-02-04 06:42:59 EST
Thank you for the bug report.  This issue needs to be addressed by the upstream developers.  Please submit a report at http://bugs.kde.org. You are requested to add the bugzilla link here for tracking purposes. Please make sure the bug isn't already in the upstream bug tracker before filing it.
Comment 2 Steven M. Parrish 2009-02-04 06:43:58 EST
Ooops sorry the correct place to file the bug is http://liferea.sourceforge.net/
Comment 3 Steven M. Parrish 2009-03-21 14:39:08 EDT
The information we've requested above is required in order to review this problem report further and diagnose or fix the issue if it is still present.  Since it has been thirty days or more since we first requested additional information, we're assuming the problem is either no longer present in the current Fedora release, or that there is no longer any interest in tracking the problem.

Setting status to "CLOSED: INSUFFICIENT_DATA".  If you still experience this problem after updating to our latest Fedora release and can provide the information previously requested, please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.